
Core - Bug # 40352

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:
Created: 2012-08-28 Assigned To: Thomas Maroschik
Updated: 2012-08-28 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: RootlineUtility calls DatabaseConnection->fullQuoteStr without table
Description

The missing table argument breaks the backend in many parts in conjunction with DBAL.

For example the template and extensionmanager module.

Steps to reproduce:

    -  Install dbal
    -  Clear all caches in typo3temp/Cache and all cache tables in the database
    -  See the modules fail in strange ways

Associated revisions
Revision 64a79434 - 2012-08-28 19:34 - Thomas Maroschik

[BUGFIX] Call fullQuoteStr with table argument in RootlineUtility

Change-Id: I344ca18dc42380a86ae8fdfb369f6849cbf3f4e7
Fixes: #40352
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14164
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

History
#1 - 2012-08-28 19:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14164

#2 - 2012-08-28 20:30 - Thomas Maroschik

2015-08-04 1/2

http://review.typo3.org/14164
http://review.typo3.org/14164


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:64a79434fbbc6fd56f97aa740c3b596dbd9605ce.
